// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package v1


import (
	"smart-government-management-gateway/param/base"
	"smart-government-management-gateway/pb/v1"
)

type ProviderListQuery struct {
	FilterStatus string `form:"filter_status" json:"filter_status"`
	Filter string `form:"filter" json:"filter"`
	Page int32 `form:"page" json:"page"`
}

type ProviderListRequest struct {
	base.Header
	ProviderListQuery
}

type ProviderListResponse struct {
	base.Result
	Data v1.ProviderListReply `json:"data"`
}