package v1

import (
	"smart-government-management-gateway/param/base"
	"smart-government-management-gateway/pb/v1"
)

type StaffStatisticNewRequest struct {
	base.Header
}
type StaffStatisticNewData struct {
	// 员工类型统计
	StaffTypeStatisticData v1.StaffTypeStatisticsReply `json:"staff_type_statistic_data"`
	// 工种统计
	WorkTypeStatisticData v1.StaffWorkTypeStatisticsReply `json:"work_type_statistic_data"`
}
type StaffStatisticNewResponse struct {
	base.Result
	Data StaffStatisticNewData `json:"data"`
}
